<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ page import="javax.servlet.http.HttpSession" %>
<%@ page import="com.jboss.test.StoreSessionFilter" %>
<%
	if (request.getParameter("logout") != null) {
		try {
			session.invalidate();  // invalidate the invalidated session
			System.err.println("Should not reach here!!! That means session.invalidate() do NOT throw IllegalStateException");
		} catch (IllegalStateException e) {
			// expected to throw IllegalStateException when invalidate a invalidated session
			System.out.println("session.invalidate() throw IllegalStateException, but it is intended!!!");
			e.printStackTrace();
		}
	}
%>
<!DOCTYPE html>
<html>
<head>
<title>Test Invalidate Sessions</title>
<style type="text/css">
table {
	width: 100%;
}

table, th, td {
	border: 1px solid black;
}
</style>
</head>
<body>
<table>
<thead>
	<tr>
		<th>Session Id</th>
		<th>Is current session?</th>
		<th>Operation</th>
	</tr>
</thead>
<tbody>
<% for (String sessionId : StoreSessionFilter.SESSIONS.keySet()) { %>
	<tr>
		<td><%=sessionId %></td>
		<td><%=sessionId.equals(session.getId()) %></td>
		<td><a href="?logout=<%=sessionId %>">Invalidate it</a></td>
	</tr>
<% } %>
</tbody>
</table>
</body>
</html>
